Skip to content

Dashboard API

Aggregated statistics and summaries for the dashboard UI. Requires read:dashboard permission.

Get Stats

Get dashboard stats

GET
/v1/dashboard/stats

Returns high-level statistics including total archived emails, total storage used, and failed ingestions in the last 7 days. Requires read:dashboard permission.

Authorizations

bearerAuth

JWT obtained from POST /v1/auth/login. Pass as Authorization: Bearer <token>.

Type
HTTP (bearer)
or
apiKeyAuth

API key generated via POST /v1/api-keys. Pass as X-API-KEY: <key>.

Type
API Key (header: X-API-KEY)

Responses

Dashboard statistics.

application/json
JSON
{
  
"totalEmailsArchived": 125000,
  
"totalStorageUsed": 5368709120,
  
"failedIngestionsLast7Days": 2
}

Playground

Authorization

Samples

Powered by VitePress OpenAPI

Get Ingestion History

Get ingestion history

GET
/v1/dashboard/ingestion-history

Returns time-series data of email ingestion counts for the last 30 days. Requires read:dashboard permission.

Authorizations

bearerAuth

JWT obtained from POST /v1/auth/login. Pass as Authorization: Bearer <token>.

Type
HTTP (bearer)
or
apiKeyAuth

API key generated via POST /v1/api-keys. Pass as X-API-KEY: <key>.

Type
API Key (header: X-API-KEY)

Responses

Ingestion history wrapped in a history array.

application/json
JSON
{
  
"history": [
  
  
{
  
  
  
"date": "string",
  
  
  
"count": 0
  
  
}
  
]
}

Playground

Authorization

Samples

Powered by VitePress OpenAPI

Get Ingestion Source Summaries

Get ingestion source summaries

GET
/v1/dashboard/ingestion-sources

Returns a summary list of ingestion sources with their storage usage. Requires read:dashboard permission.

Authorizations

bearerAuth

JWT obtained from POST /v1/auth/login. Pass as Authorization: Bearer <token>.

Type
HTTP (bearer)
or
apiKeyAuth

API key generated via POST /v1/api-keys. Pass as X-API-KEY: <key>.

Type
API Key (header: X-API-KEY)

Responses

List of ingestion source summaries.

application/json
JSON
[
  
{
  
  
"id": "clx1y2z3a0000b4d2",
  
  
"name": "Company Google Workspace",
  
  
"provider": "google_workspace",
  
  
"status": "active",
  
  
"storageUsed": 1073741824
  
}
]

Playground

Authorization

Samples

Powered by VitePress OpenAPI

Get Recent Syncs

Get recent sync activity

GET
/v1/dashboard/recent-syncs

Returns the most recent sync sessions across all ingestion sources. Requires read:dashboard permission.

Authorizations

bearerAuth

JWT obtained from POST /v1/auth/login. Pass as Authorization: Bearer <token>.

Type
HTTP (bearer)
or
apiKeyAuth

API key generated via POST /v1/api-keys. Pass as X-API-KEY: <key>.

Type
API Key (header: X-API-KEY)

Responses

List of recent sync sessions.

application/json
JSON
[
  
{
  
  
"id": "clx1y2z3a0000b4d2",
  
  
"sourceName": "Company Google Workspace",
  
  
"startTime": "string",
  
  
"duration": 4500,
  
  
"emailsProcessed": 120,
  
  
"status": "completed"
  
}
]

Playground

Authorization

Samples

Powered by VitePress OpenAPI

Get Indexed Email Insights

Get indexed email insights

GET
/v1/dashboard/indexed-insights

Returns top-sender statistics from the search index. Requires read:dashboard permission.

Authorizations

bearerAuth

JWT obtained from POST /v1/auth/login. Pass as Authorization: Bearer <token>.

Type
HTTP (bearer)
or
apiKeyAuth

API key generated via POST /v1/api-keys. Pass as X-API-KEY: <key>.

Type
API Key (header: X-API-KEY)

Responses

Indexed email insights.

application/json
JSON
{
  
"topSenders": [
  
  
{
  
  
  
"sender": "[email protected]",
  
  
  
"count": 342
  
  
}
  
]
}

Playground

Authorization

Samples

Powered by VitePress OpenAPI